@ECHO OFF	
color 17

mode con: cols=80 lines=55

echo.
echo                                 ***
echo                     PROGRAM TO DOWNLOAD A SUBSECTION
echo           SECTOR AREAS AT 1.00, 0.5 AND 0.25 DEG OF GFS DATA 
echo       	          FOR A CONTINENTAL UNITED STATES SECTOR 
echo	   THIS PROGRAM IS DERIVATES FROM THE ORIGINAL SCRIPT FROM
echo	      by JUAN JOSE AMIDES FIGUEROA, ANGELO PASCUALETTI
echo                     JOSE GALVEZ AND MIKE DAVISON
echo.
echo.
echo.
echo	             Juan Jose Amides Figueroa. El Salvador 
echo                -----/ Version 1.7 -- 09/10/2019 \------
echo	                          Jeff Krob 
echo                -----/ Version 1.10 -- 01/01/2025 \------
echo. 
echo	  To run it you will need: 
echo	  (1) have Wingridds installed IN C:\WINGRIDDS directory
echo.
echo.
echo.

echo        ------               _____
echo       /      \ ___\     ___/    ___
echo    --/-  ___  /    \/  /  /    /   \
echo   /     /           \__     //_     \
echo  /                     \   / ___     \
echo  /           ___       \//--/        /
echo   \__           \       \           /
echo      \__                 \          /     Dont be selfish,
echo     \     /____      /  /       \   /     Share your knowledge.    
echo          _/         ___       \/  /\         
echo           \__      /      /    /    /     A person is a person
echo         /    \____/   \       /   //      through other people.                           
echo     // / / // / /\    /-_-/\//-__-                  
echo      /  /  // /   \__// / / /  //         Go to the Loonies...
echo     //   / /   //   /  // / // /      
echo      /// // / /   /  //  / //
echo   //   //       //  /  // / /
echo     / / / / /     /  /    /
echo  ///  / / /  //  // /  // //
echo     ///    /    /    / / / /
echo///  /    // / /  // / / /  /
echo   // ///   /      /// / /

echo.
echo.
echo.
echo.
echo.

pause

::WINGRIDDS FOLDERS---------------------------------------------------------------------
set folderwingriddsnws=C:\WINGRIDDS\GRIB\NWS
set folderwingridds=C:\WINGRIDDS

::ERASE RESIDUAL DATA-------------------------------------------------------------------
C:
cd %folderwingriddsnws%
del *.* /Q
:: FINISH CLEANING----------------------------------------------------------------------

:: DEFINE COORDINATES OF SECTOR TO DOWNLOAD -----------------------------
:: COORDINATES ARE SET FOR A MEXICO-CARIBBEAN SECTOR --------------------

::cd C:\WINGRIDDS\GRIB\NWS
cd %folderwingriddsnws%

cls
echo Please select the model to use. 
echo.
echo.
echo ---------------------------------------------
echo For GFS Type: 1
echo ---------------------------------------------
echo For NAM North America Type: 2
echo ---------------------------------------------
echo For NAM CONUS Type: 3
echo ---------------------------------------------
::echo For HRRR Type: 4
echo For RAP Type: 4
echo ---------------------------------------------
echo.
echo.
set /p modelsel= What is Your Choice? 
echo.
IF %modelsel% EQU 1 (set model=gfs)
IF %modelsel% EQU 2 (set model=namna) 
IF %modelsel% EQU 3 (set model=namconus) 
::IF %modelsel% EQU 4 (set model=hrrr)
IF %modelsel% EQU 4 (set model=rap)
IF %model% EQU namna GOTO PROCESSNAMNA
IF %model% EQU namconus GOTO PROCESSNAMCONUS
::IF %model% EQU hrrr GOTO PROCESSHRRR
IF %model% EQU rap GOTO PROCESSRAP
cls
echo Please select the GFS area to use. 
echo.
echo.
echo ---------------------------------------------
echo For FULL CONUS	Type: 1
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For EAST CONUS	Type: 2
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For CENTRAL CONUS Type: 3
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For WEST CONUS	Type: 4
echo ---------------------------------------------
echo.
echo.
set /p area= What is Your Choice? 
echo.
set bottomlat=20
IF %area% EQU 1 (set toplat=65) ELSE (set toplat=55) 
IF %area% EQU 1 (set leftlon=-130) 
IF %area% EQU 1 (set rightlon=-65)
IF %area% EQU 1 (set region=FULL CONUS)
IF %area% EQU 2 (set leftlon=-105) 
IF %area% EQU 2 (set rightlon=-42)
IF %area% EQU 2 (set region=EAST CONUS)
IF %area% EQU 3 (set leftlon=-120) 
IF %area% EQU 3 (set rightlon=-80)
IF %area% EQU 3 (set region=CENTRAL CONUS)
IF %area% EQU 4 (set leftlon=-140) 
IF %area% EQU 4 (set rightlon=-100)
IF %area% EQU 4 (set region=FULL CONUS)
IF %area% EQU 2 (set region=EAST CONUS)
IF %area% EQU 3 (set region=CENTRAL CONUS)
IF %area% EQU 4 (set region=WEST CONUS)
::FORCE THE DATE TO DOWNLOAD---------------------------------------------
echo Please input date in format: YYYYMMDD:  
echo.
set /p date_string= Type the date: 
echo.
echo Now Input the MODEL cycle to download in format: 00, 06, 12, 18: 
echo.
set /p cycle= Type the cycle: 
echo.
echo The model to download is %model%
set res=0
echo Choose the GFS resolution to download: 
echo. 
echo For 0.50 deg Type: 1 
echo For 0.25 deg Type: 2 
echo For 1.00 deg Type: 3 
echo. 
set /p res= What is Your Choice?   
IF %res% EQU 1 (set data_type=0p50)
IF %res% EQU 1 (set resolution_name=0.50)
IF %res% EQU 2 (set data_type=0p25)
IF %res% EQU 2 (set resolution_name=0.25)
IF %res% EQU 3 (set data_type=1p00)
IF %res% EQU 3 (set resolution_name=1.00)
IF %res% EQU 1 (set text=pgrb2full)
IF %res% EQU 2 (set text=pgrb2)
IF %res% EQU 3 (set text=pgrb2)  

set data_dir=atmos

GOTO PROCESSDATA

:PROCESSNAMNA						

cls
echo Please select the NAM North America (32km) area to use. 
echo.
echo.
echo ---------------------------------------------
echo For FULL CONUS	Type: 1
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For EAST CONUS	Type: 2
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For CENTRAL CONUS Type: 3
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For WEST CONUS	Type: 4
echo ---------------------------------------------
echo.
echo.
set /p area= What is Your Choice? 
echo.
set bottomlat=20
IF %area% EQU 1 (set toplat=65) ELSE (set toplat=55) 
IF %area% EQU 1 (set leftlon=-130) 
IF %area% EQU 1 (set rightlon=-65)
IF %area% EQU 1 (set region=FULL CONUS)
IF %area% EQU 2 (set leftlon=-105) 
IF %area% EQU 2 (set rightlon=-42)
IF %area% EQU 2 (set region=EAST CONUS)
IF %area% EQU 3 (set leftlon=-120) 
IF %area% EQU 3 (set rightlon=-80)
IF %area% EQU 3 (set region=CENTRAL CONUS)
IF %area% EQU 4 (set leftlon=-140) 
IF %area% EQU 4 (set rightlon=-100)
IF %area% EQU 4 (set region=FULL CONUS)
::IF %area% EQU 2 (set region=EAST CONUS)
::IF %area% EQU 3 (set region=CENTRAL CONUS)
::IF %area% EQU 4 (set region=WEST CONUS)
::FORCE THE DATE TO DOWNLOAD---------------------------------------------
echo Please input date in format: YYYYMMDD:  
echo.
set /p date_string= Type the date: 
echo.
echo Now Input the MODEL cycle to download in format: 00, 06, 12, 18: 
echo.
set /p cycle= Type the cycle: 
echo.
echo The model to download is %model%

set data_dir=atmos

GOTO PROCESSDATA

:PROCESSNAMCONUS					

cls
echo Please select the NAM CONUS (12km) area to use. 
echo.
echo.
echo ---------------------------------------------
echo For FULL CONUS	Type: 1
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For EAST CONUS	Type: 2
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For CENTRAL CONUS Type: 3
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For WEST CONUS	Type: 4
echo ---------------------------------------------
echo.
echo.
set /p area= What is Your Choice? 
echo.
set bottomlat=20
IF %area% EQU 1 (set toplat=65) ELSE (set toplat=55) 
IF %area% EQU 1 (set leftlon=-130) 
IF %area% EQU 1 (set rightlon=-65)
IF %area% EQU 1 (set region=FULL CONUS)
IF %area% EQU 2 (set leftlon=-105) 
IF %area% EQU 2 (set rightlon=-42)
IF %area% EQU 2 (set region=EAST CONUS)
IF %area% EQU 3 (set leftlon=-120) 
IF %area% EQU 3 (set rightlon=-80)
IF %area% EQU 3 (set region=CENTRAL CONUS)
IF %area% EQU 4 (set leftlon=-140) 
IF %area% EQU 4 (set rightlon=-100)
IF %area% EQU 4 (set region=FULL CONUS)
::IF %area% EQU 2 (set region=EAST CONUS)
::IF %area% EQU 3 (set region=CENTRAL CONUS)
::IF %area% EQU 4 (set region=WEST CONUS)
::FORCE THE DATE TO DOWNLOAD---------------------------------------------
echo Please input date in format: YYYYMMDD:  
echo.
set /p date_string= Type the date: 
echo.
echo Now Input the MODEL cycle to download in format: 00, 06, 12, 18: 
echo.
set /p cycle= Type the cycle: 
echo.
echo The model to download is %model%

set data_dir=atmos

GOTO PROCESSDATA

::PROCESSHRRR	
:PROCESSRAP				
		

cls
::GOTO HRRRTIME
::echo Please select the HRRR area to use. 
echo Please select the RAP area to use. 
echo.
echo.
echo ---------------------------------------------
echo For FULL CONUS	Type: 1
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For EAST CONUS	Type: 2
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For CENTRAL CONUS Type: 3
echo ---------------------------------------------
echo.
echo ---------------------------------------------
echo For WEST CONUS	Type: 4
echo ---------------------------------------------
echo.
echo.
set /p area= What is Your Choice? 
echo.
set bottomlat=20
IF %area% EQU 1 (set toplat=65) ELSE (set toplat=55) 
IF %area% EQU 1 (set leftlon=-130) 
IF %area% EQU 1 (set rightlon=-65)
IF %area% EQU 1 (set region=FULL CONUS)
IF %area% EQU 2 (set leftlon=-105) 
IF %area% EQU 2 (set rightlon=-42)
IF %area% EQU 2 (set region=EAST CONUS)
IF %area% EQU 3 (set leftlon=-120) 
IF %area% EQU 3 (set rightlon=-80)
IF %area% EQU 3 (set region=CENTRAL CONUS)
IF %area% EQU 4 (set leftlon=-140) 
IF %area% EQU 4 (set rightlon=-100)
IF %area% EQU 4 (set region=FULL CONUS)
IF %area% EQU 2 (set region=EAST CONUS)
IF %area% EQU 3 (set region=CENTRAL CONUS)
IF %area% EQU 4 (set region=WEST CONUS)
::FORCE THE DATE TO DOWNLOAD---------------------------------------------
:: HRRRTIME
echo Please input date in format: YYYYMMDD:  
echo.
set /p date_string= Type the date: 
echo.
echo Now Input the MODEL cycle to download : 
echo 00,01,02,03,04,05,06,07,08,09,10,11,12,13,14,15,16,17,18,19,20,21,22,23: 
echo.
set /p cycle= Type the cycle: 
echo.
echo The model to download is %model%

set modelsel=41
echo The cycle = %cycle%
echo The Model = %modelsel%

::IF %cycle% EQU 00 (set modelsel=42)
::IF %cycle% EQU 06 (set modelsel=42)
::IF %cycle% EQU 12 (set modelsel=42)
::IF %cycle% EQU 18 (set modelsel=42)
IF %cycle% EQU 03 (set modelsel=42)
IF %cycle% EQU 09 (set modelsel=42)
IF %cycle% EQU 15 (set modelsel=42)
IF %cycle% EQU 21 (set modelsel=42)

set data_dir=atmos

GOTO PROCESSDATA

:PROCESSDATA
echo.
echo The model to download is %model%
echo The region to download is %region%
echo The data to use are: %date_string% 
echo The cycle %cycle%UTC and %resolution_name% degrees of resolution
echo Selected model is %modelsel%
echo.
echo Ready to begin?
echo.
PAUSE

::DATA DOWNLOAD----------------------------------------------------------
IF %modelsel% EQU 1 (echo GETTING GFS...)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f000&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f000)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f006&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f006)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f012&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f012)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f018&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f018)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f024&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f024)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f030&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f030)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f036&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f036)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f042&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f042)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f048&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f048)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f054&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f054)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f060&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f060)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f066&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f066)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f072&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f072)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f078&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f078)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f084&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f084)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f090&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f090)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f096&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f096)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f102&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f102)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f108&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f108)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f114&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f114)
IF %modelsel% EQU 1 (\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_gfs_%data_type%.pl?file=gfs.t%cycle%z.%text%.%data_type%.f120&all_lev=on&all_var=on&subregion=&leftlon=%leftlon%&rightlon=%rightlon%&toplat=%toplat%&bottomlat=%bottomlat%&dir=%%2Fgfs.%date_string%%%2F%cycle%%%2F%data_dir%" -o gfs.t%cycle%z.%text%.%data_type%S.f120)
::)

IF %modelsel% EQU 2 (
echo GETTING NAM North America 32km... 
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3200.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3200.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3206.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3206.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3212.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3212.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3218.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3218.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3224.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3224.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3230.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3230.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3236.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3236.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3242.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3242.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3248.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3248.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3254.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3254.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3260.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3260.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3266.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3266.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3272.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3272.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3278.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3278.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam_na.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awip3284.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awip3284.tm00S.grib2
)

IF %modelsel% EQU 3 (
echo GETTING NAM CONUS 12km...                                                                                  
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys00.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys00.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys06.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys06.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys12.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys12.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys18.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys18.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys24.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys24.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys30.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys30.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys36.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys36.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys42.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys42.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys48.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys48.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys54.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys54.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys60.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys60.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys66.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys66.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys72.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys72.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys78.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys78.tm00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_nam.pl?dir=%%2Fnam.%date_string%&file=nam.t%cycle%z.awphys84.tm00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o nam.%date_string%t%cycle%z.awphys84.tm00S.grib2
)

IF %modelsel% EQU 41 (

echo GETTING Short RAP 18hrs...       
::								https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%2Frap.20241226&file=rap.t22z.awp252pgrbf03.grib2&all_var=on&all_lev=on
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf01.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf01S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf02.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf02S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf03.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf03S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf04.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf04S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf05.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf05S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf06.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf06S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf07.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf07S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf08.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf08S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf09.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf09S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf10.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf10S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf11.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf11S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf12.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf12S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf13.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf13S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf14.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf14S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf15.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf15S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf16.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf16S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf17.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf17S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf18.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf18S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf19.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf19S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf20.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf20S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf21.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf21S.grib2

)

IF %modelsel% EQU 42 (
echo GETTING Long HRRR 48hrs...                          
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf00.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf00S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf01.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf01S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf02.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf02S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf03.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf03S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf04.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf04S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf05.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf05S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf06.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf06S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf07.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf07S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf08.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf08S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf09.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf09S.grib2

	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf10.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf10S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf11.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf11S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf12.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf12S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf13.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf13S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf14.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf14S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf15.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf15S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf16.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf16S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf17.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf17S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf18.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf18S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf19.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf19S.grib2

	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf20.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf20S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf21.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf21S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf22.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf22S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf23.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf23S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf24.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf24S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf25.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf25S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf26.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf26S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf27.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf27S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf28.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf28S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf29.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf29S.grib2

	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf30.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf30S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf31.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf31S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf32.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf32S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf33.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf33S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf34.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf34S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf35.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf35S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf36.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf36S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf37.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf37S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf38.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf38S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf39.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf39S.grib2

	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf40.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf40S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf41.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf41S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf42.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf42S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf43.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf43S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf44.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf44S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf45.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf45S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf46.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf46S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf47.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf47S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf48.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf48S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf49.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf49S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf50.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf50S.grib2
	\WINGRIDDS\CURL --insecure "https://nomads.ncep.noaa.gov/cgi-bin/filter_rap.pl?dir=%%2Frap.%date_string%&file=rap.t%cycle%z.awp252pgrbf51.grib2&all_var=on&all_lev=on&subregion=&toplat=%toplat%&leftlon=%leftlon%&rightlon=%rightlon%&bottomlat=%bottomlat%" -o rap.%date_string%t%cycle%z.awp252pgrbf51S.grib2
)

::CONVERT &all DATA TO THE WINGRIDDS FORMAT----------------------------------------------
cd %folderwingridds%
Ngrb2pcg32.exe

cls
echo. 
echo. 
echo                                 `NMNdo`               
echo                                -MMMMMN:              
echo                                +MMMMMMN`             
echo                                mMMMMMMM-             
echo                               +MMMMMMMM`             
echo                              +MMMMMMMMy              
echo                           `/dMMMMMMMMh               
echo                          oNMMMMMMMMMh                
echo                         sMMMMMMMMMMm`                
echo                        +MMMMMMMMMMM:                 
echo                       /MMMMMMMMMMMMdyyyyhhhyyyyso+`  
echo                      +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMo 
echo                    `sMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMh
echo    .+ooooooo/    `+mMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMh
echo    NMMMMMMMMM+ +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMs 
echo    MMMMMMMMMMo +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMd`
echo    MMMMMMMMMMo +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMm
echo    MMMMMMMMMMo +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMd-
echo    MMMMMMMMMMo +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMN  
echo    MMMMMMMMMMo +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMM+ 
echo    MMMMMMMMMMo +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMd 
echo    MMMMMMMMMMo +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMNo` 
echo    MMMMMMMMMMo +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMN`   
echo    MMMMMMMMMMo +MMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMMm    
echo    NMMMMMMMMMo /dNMMMMMMMMMMMMMMMMMMMMMMMMMMMMMh.    
echo    .+ooooooo/      `-:/+syhddmmNNNMMMMMMMNNmho.    
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo.
echo ******************       Your data is ready to use, bye.
echo.
echo.
echo.
echo.
echo.
echo.
PAUSE